
/* Global Styles */
* {
	box-sizing: border-box;
}

body {
    margin: 0 auto;
	height: 100%;
	margin-bottom: 110px;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.sidenav {
  height: 100%; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  top: 0; /* Stay at the top */
  left: 0;
  background-color: #111; /* Black*/
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

/* The navigation menu links */
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
  transition: margin-left .5s;
  padding: 20px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

#bar-chart{
	min-height: 250px;
}

.container {
	height: 100% !important;
	margin-bottom:30px;
}

h1, .header{
	font-family: 'Shrikhand';
}

legend {
	padding-bottom: 10px;
}

footer {
	position: fixed;
	height: 80px;
	width: 100%;
	bottom: 0 !important;
	background-color: #212121;
	padding: 10px;
	color: #ffffff;
	z-index: 10 !important;
}

/*Generic table styling*/
table, tr, td {
	margin-top:20px;
	margin: auto;
	padding: 5px 8px;
	font-family: "Bookman Old Style";
	font-size: 14px;
	border: 1px solid #000000;
}

th{
	margin: auto;
	padding: 5px 8px;
	font-family: "Bookman Old Style";
	font-size: 16px;
	border: 2px solid #000000;
	color: #ffffff;
}

.modal {
   position: fixed;
   left: 50%;
   top: 50%;
   transform: translate(-50%, -50%);
   min-width: 450px;
   min-height: 600px;
   border-radius: 10px;
   overflow: auto;
}

.btnmain {
	margin: 20px auto;
}

.right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
}

.left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}

.page-header h1, h3{
	text-align: center;	
}

.bsText {
	font-family: 'Slabo';
	font-size: 32px;
}

.bsLoginText {
	font-family: 'Slabo';
	font-size: 20px;
}

.bsNav {
	font-family: 'Slabo';
	font-size: 22px;
}

.loginfeatures {
	margin-top: 5px;
}

.warn {
	font-size: 14px;
	color: #ff0000;
	margin-top: 15px;
	font-family: 'Shrikhand';
	text-align: center;
}

/*Edging and styling for table containers*/
label {
	padding: 5px;
	margin-left: 10px;
}

input {
	padding: 5px;
	margin-left: 5px;
}

.buttons {
  filter: drop-shadow(3px 10px 15px rgba(0, 0, 0, 0.45));
  margin-left: 0 auto !important;
}

.customer {
	display: inline-block;
	border: solid 2px #3f7fbf;
	border-radius: 5px;
	margin: 0 auto;
	padding: 20px;
}

.cusinf {
	margin: 10px 10px;
	border: solid 3px #202020;
	border-radius: 10px;
	background-color: #100e17;
	color: #fff;
}

.cusinf a{
	margin-left: 10px;
	color: #fff;
}

.cusinf a:hover{
	color: #306090;
}

.cusinf img{
	margin: 0 auto;
}

.cusinner{
	height: 350px;
	border-radius: 5px;
	background-color: #17141d;
	color: #fff;
	line-height:0.8em;
	padding: 30px;
}

.sig_popup {
	margin:0 auto;
	max-height: 300px;
	max-width: 450px;
}

.buttonbox {
	display: inline-block;
	margin: 0 auto !important;
}

#add:hover {
	color: green;
}

#add {
	font-size: 18px;
}

#minus:hover {
	color: green;
}

#minus {
	font-size: 18px !important;
}

.card_container {
	width: auto;
	overflow-x: scroll;
	display: flex;
	background-color: #202020;
	padding: 3rem;
	border-radius: 5px;
	margin-top: 20px !important;
	padding-left: 30px;
}

.card{
	min-width: 300px;
	height: 350px;
	border-radius: 10px;
	background-color: #17141d;
	box-shadow: -1rem 0 3rem #000;
	display: flex;
	flex-direction: column;
	padding: 1.5rem;
	transition: 0.2s;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.card .article-header {
	margin-bottom: auto;
	color: #fff;
}

.card img{
	margin: 10px auto;
	background-color: #fff;
	padding: 5px;
	border-radius: 5px;
}

.card .date{
	color: #8a8a8a;
}

.category-title {
	font-size: 14px;
	color: #fff;
	margin-bottom: 1rem;
	text-align: center;
}

.category-cust {
	font-size: 14px;
	color: #fff;
	margin-bottom: 1rem;
}

.device-info:hover {
	color: #306090;
}

.card .article-title {
	font-size: 20px;
	font-weight: 700;
	color: #fff;
	text-align: center;
}

.card a {
	color: #fff;
	text-align: center;
}

.card:not(:first-child) {
	margin-left: -80px;
}

.card:first-child {
	max-width: 250px;
}

.card a:hover {
	color: #306090;
}

.card btn{
	display: inline;
}

.card:hover {
	transform: translateY(-1rem);
}

.card:hover~.card{
	transform: translateX(80px);
}

.cardMain {
	border-radius: 5px;
	display:inline;
	width: 100%;
	margin: auto;
}

.sig_img {
	height: 50px; 
	width: 100px;
	margin: auto;
}

.sales {
	display: inline-block;
	border: solid 2px #43c35f;
	border-radius: 5px;
	display:inline;
	margin: auto;
}

.orders {
	border: solid 2px #43c35f;
	border-radius: 5px;
	display:inline;
	width: 100%;
	margin: auto;
}

.chartTitle {
	font-size: 18px;
}

.tabInput {
	width: auto;
}

.modalBack {
	float: left;
	margin-left: 10px;
}

.modalBack:hover {
	color: blue;
}

.records_content th, #saleDescriptionTableMain th{
	margin: 0 auto !important;
	background-color: #404040;
	overflow:auto;
}

.signout {
	margin: 5px;
}

legend {
	margin-top:30px;
}

/* Responsive Styles */
@media(max-width:1920px) {
	
	.title h1{
		font-size: 42px !important;
	}
	
	.title h3{
		font-size: 28px !important;
	}
	
	.modal{
		max-width: 50%;
	}
	
	.cusinf {
		width: 30%;
	}
}

@media(max-width:1380px) {
	
	.title h1{
		font-size: 36px !important;
	}
	
	.title h3{
		font-size: 24px !important;
	}
	
	.modal{
		max-width: 50%;
	}
	
	.cusinf {
		width: 30%;
	}
}

@media(max-width:1250px) {
	
	.title h1{
		font-size: 32px !important;
	}
	
	.title h3{
		font-size: 20px !important;
	}	
	
	.modal{
		max-width: 60%;
	}
	
	.cusinf {
		width: 30%;
	}
}

@media(max-width:1199px) {
		
	.title h1{
		font-size: 28px !important;
	}
	
	.title h3{
		font-size: 18px !important;
	}
	
	.modal{
		max-width: 60%;
	}
	
	.cusinf {
		width: 90%;
		margin: 20px 20px;
	}
	
}

@media(max-width:991px) {
		
	.title h1{
		font-size: 26px !important;
	}
	
	.title h3{
		font-size: 16px !important;
	}
	
	.modal{
		max-width: 60%;
	}
	
	.cusinf {
		width: 90%;
	}
}

@media(max-width:767px) {
	
	.title h1{
		font-size: 24px !important;
	}
	
	.title h3{
		font-size: 14px !important;
	}
	
	.modal{
		max-width: 70%;
	}
	
	.cusinf {
		width: 90%;
	}
}

@media(max-width:460px) {
		
	.title h1{
		font-size: 18px !important;
	}
	
	.title h3{
		font-size: 10px !important;
	}
	
	.modal{
		max-width: 90%;
	}
	
	.cusinf {
		width: 90%;
	}
}